Bug 12604 - vfs_fruit will only enable AAPL extensions on first tcon
vfs_fruit will only enable AAPL extensions on first tcon
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 12526 12541
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-28 06:59 UTC by Ralph Böhme
Modified: 2017-03-14 09:32 UTC (History)
2 users (show)

See Also:


Attachments
Proposed patch for master (2.21 KB, patch)
2017-02-28 13:07 UTC, Ralph Böhme
no flags Details
Patch for 4.4, 4.5 and 4.6 cherry-picked from master (2.44 KB, patch)
2017-03-03 11:23 UTC, Ralph Böhme
slow: review? (metze)
uri: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-02-28 06:59:39 UTC
Apple's SMB2 AAPL extension is enabled once per SMB2 connection. Unfortunately the (per se correct) fix for bug #12541 results in vfs_fruit checking a per tcon config state variable to determine whether AAPL has been negotiated. This variable will be false for all but the first tcon, we must make it a global variable instead.

Patch to follow...
Comment 1 Ralph Böhme 2017-02-28 13:07:04 UTC
Created attachment 12992 [details]
Proposed patch for master
Comment 2 Ralph Böhme 2017-03-03 11:23:56 UTC
Created attachment 13012 [details]
Patch for 4.4, 4.5 and 4.6 cherry-picked from master
Comment 3 Uri Simchoni 2017-03-03 20:37:36 UTC
Assigning to Karolin for inclusion in 4.4.next, 4.5.next, 4.6.next
Comment 4 Karolin Seeger 2017-03-06 07:41:03 UTC
(In reply to Uri Simchoni from comment #3)
Pushed to autobuild-v4-{6,5}-test.
Does not apply on current v4-4-test.
Re-assigning to Ralph.
Comment 5 Ralph Böhme 2017-03-12 15:19:04 UTC
Works here, with the patch from this PR on top of current v4-4-test. Can you please try again?
Comment 6 Karolin Seeger 2017-03-13 08:17:47 UTC
(In reply to Ralph Böhme from comment #5)
Right, sorry for the noise!
Pushed to autobuild-v4-4-test.
Comment 7 Karolin Seeger 2017-03-14 09:32:19 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to all branches.
Closing out bug report.

Thanks!